Subject: Re: bug#61730: 30.0.50; Compiler warnings for delq and delete

From: Michael Heerdegen <[email-masked]>
Date: Sat, 25 Feb 2023 13:34:51 +0100

Eli Zaretskii <[email-masked]> writes:

> In Emacs maintenance and development, the two cases are actually one.
> We rebuild Emacs so frequently that even a "rare" warning appears all
> the time and is annoying.  It is not a coincidence that we usually
> don't tolerate warnings during the build of Emacs.

What's your opinion about the case of non-destructive functions - is it
ok if we would always warn about thrown away return values of calls of
them?

Michael.